package net.outlyer.plugins.utils;

import java.io.IOException;
import java.io.InputStream;

/**
 *
 */
public class Input {

    private final InputStream in;
    
    {
        in = System.in;
    }
    
    public String readline() {
        final StringBuilder sb = new StringBuilder();

        int c;
        try {
            do {
                c = in.read();
                
                sb.append((char) c);
            } while (0 != c && '\n' != c);
        }
        catch (final IOException e) {
            return null;
        }
        
        return sb.toString();
    }
}
